-- ***********************************************************************
-- KOHA UNIMARC STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
-- Pretest Version 0.0.1
-- 2007-11-05
--
-- edited
-- with much more work remaining
-- (PLEASE SEE WARNING BELOW)
-- by thd
--
-- originally compiled
-- by Roberto Sturman
--
-- from
--
-- UNIMARC manual : bibliographic format 1994 / IFLA Universal
-- Bibliographic Control and International MARC Core Programme (UBCIM). -
-- "The following list represents the state of the format as at 1 March
-- 2000.  It includes the changes published in Update 3." -
-- http://www.ifla.org/VI/3/p1996-1/sec-uni.htm .
-- 2006-03-15 a

-- From Zeno Tajoli (2010-08-12):
--
-- Improved default id Koha field (090) and koha date field (099). 
-- Insert link to sql coloum biblio.biblionumber in tag 001
-- Insert the use of 942, local data
-- Insert a standard minimun on 995 (holding field)

-- From Bernardo Gonzalez Kriegel (2013-12-26)
--
-- Add/update fields/subfields
-- UNIMARC manual: bibliographic format (2008)
-- [http://archive.ifla.org/VI/8/unimarc-concise-bibliographic-format-2008.pdf]
-- with updates up to 2012 [http://www.ifla.org/node/7974]
-- ***********************************************************************



-- ***********************************************************************


-- ****************************************************************************
-- WARNING
-- RISK OF DATA LOSS
--
-- Modestly corrected and augmented.  Missing many elements.  The work of the
-- original compiler had been done before significant improvements to Koha
-- MARC frameworks implementation had been introduced in 2006 for displaying,
-- editing, and preserving record data.
--
-- The documentation cited by the original compiler is known to be out of date
-- and incomplete.  Furthermore, the original compiler did not include all
-- fields and subfields from the documentation he consulted.
--
-- Completely unsafe for production use without significant correction and
-- augmentation.  These problems could be fixed but a few days work would be
-- required to fix them completely. -- thd.
-- ****************************************************************************




-- ******************************************************
-- KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************


-- Current Record ID Field/Subfields (090)

insert  into `marc_tag_structure`(`tagfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`authorised_value`,`frameworkcode`) values
	('090','System Control Numbers (Koha)','System Control Numbers (Koha)',0,0,'','');

insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values 
	('090','a','Koha biblioitem number (autogenerated)','Koha biblioitem number (autogenerated)',0,0,'biblioitems.biblioitemnumber',9,'','','',0,-5,'',NULL,'','');

-- Local date field/Subfields (099)

insert  into `marc_tag_structure`(`tagfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`authorised_value`,`frameworkcode`) values
	('099','local dates','',0,0,'','');

insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values 
	('099','c','Date of creation (bib. record)','Date of creation (bib. record)',0,0,'biblio.datecreated',0,'','','',0,-5,'',NULL,'','');
 
insert  into `marc_subfield_structure`(`tagfield`,`tagsubfield`,`liblibrarian`,`libopac`,`repeatable`,`mandatory`,`kohafield`,`tab`,`authorised_value`,`authtypecode`,`value_builder`,`isurl`,`hidden`,`frameworkcode`,`seealso`,`link`,`defaultvalue`) values
	('099','d','Last modified date (bib. record)','Last modified data (bib. record)',0,0,'biblio.timestamp',0,'','','',0,-5,'',NULL,'','');


-- Current primary biblioitems Field/Subfields (942)


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'ADDED ENTRY ELEMENTS (KOHA)', 'ADDED ENTRY ELEMENTS (KOHA)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Koha issues (borrowed), all copies', 'Koha issues (borrowed), all copies', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', '6', 'Koha normalized classification for sorting', 'Koha normalized classification for sorting', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('942', 'c', 'Koha item type', 'Koha item type', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('942', 's', 'Serial record flag', 'Serial record', 0, 0, 'biblio.serial', 9, '', '', '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Recommandation 995 is designed for interlibrary loan.  It is not designed
-- for holdings even if libraries have used it for holdings.

-- Original items Field/Subfields

-- Adapted from:
-- Recommandation 995 sur la fourniture de données locales dans les
-- échanges de notices bibliographiques en UNIMARC accompagnant le prêt
-- ou le dépôt d'exemplaires / ABF (Association des bibliothécaires
-- français) ; FULBI (Fédération des utilisateurs de logiciels de
-- bibliothèque) ; ADBDP (Association des directeurs de bibliothèques
-- départementales de prêt) ; ADBGV (Association des directeurs de
-- bibliothèques municipales et intercommunales des grandes villes de
-- France) ADDNB (Association pour le développement des documents
-- numériques en bibliothèque.



-- Current items Field/Subfields

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('995', 'Location and Item Information (Koha)', 'Location and Item Information (Koha)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
               ('995', '0', 'Withdrawn status', 'Withdrawn status', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, '', '', '', NULL),
		('995', '2', 'Lost status', 'Lost status', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, '', '', '', NULL),
		('995', '3', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
		('995', '5', 'Date acquired', 'Coded location qualifier', 0, 0, 'items.dateaccessioned', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '6', 'Copy number', 'Copy number', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 0, 0, 'items.uri', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', '9', 'Internal item number (Koha itemnumber, autogenerated)', 'Internal itemnumber (Koha itemnumber)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'a', 'Origin of the item (home branch) (free text)', 'Origin of item (home branch) (free text)', 0, 1, '', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'b', 'Origin of item (home branch) (coded)', 'Origin of item (home branch (coded)', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, -1, '', '', '', NULL),
		('995', 'c', 'Lending or holding organisation (holding branch) code', 'Lending or holding organisation (holding branch) code ', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('995', 'd', 'Lending or holding organisation (holding branch) (free text)', 'Lending or holding organisation (holding branch) (free text)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'e', 'Shelving location', 'Shelving location', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, '', '', '', NULL),
		('995', 'f', 'Barcode', 'Barcode', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
		('995', 'h', 'Koha collection', 'Koha collection', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, '', '', '', NULL),
		('995', 'j', 'Inventory number', 'Inventory number', 0, 0, 'items.stocknumber ', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, 'items.itemcallnumber', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'l', 'Numbering (volume or other part)', 'Numbering (bound volume or other part)', 0, 0, 'items.materials', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'm', 'Date of loan or deposit', 'Date of loan or deposit', 0, 0, 'items.datelastborrowed', 10, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'n', 'Expiration of loan date', 'Expiration of loan date', 0, 0, 'items.onloan', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'o', 'Circulation type (not for loan)', 'Circulation type (not for loan)', 0, 0, 'items.notforloan', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'r', 'Type of item and material', 'Type of item and material', 0, 1, 'items.itype', 10, 'itemtypes', '', '', 0, 0, '', '', '', NULL),
		('995', 'u', 'Copy note', 'Copy note', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'v', 'Serial Enumeration / chronology', 'Serial Enumeration / chronology', 0, 0, 'items.enumchron', 10, '', '', '', 0, -1, '', '', '', NULL);
 


-- *******************************************************
-- UNIMARC FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- *******************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'Record Label', 'Record Label', 0, 1, '', ''),
		('001', 'Record Identifier', 'Record Identifier', 0, 1, '', ''),
		('003', 'Persistent Record Identifier', 'Persistent Record Identifier', 0, 0, '', ''),
		('005', 'Version Identifier', 'Version Identifier', 0, 0, '', ''),
		('010', 'International Standard Book Number (ISBN)', 'International Standard Book Number (ISBN)', 1, 0, '', ''),
		('011', 'International Standard Serial Number (ISSN)', 'International Standard Serial Number (ISSN)', 1, 0, '', ''),
		('012', 'Fingerprint Identifier', 'Fingerprint Identifier', 1, 0, '', ''),
		('013', 'International Standard Music Number (ISMN)', 'International Standard Music Number (ISMN)', 1, 0, '', ''),
		('014', 'Article Identifier', 'Article Identifier', 1, 0, '', ''),
		('015', 'International Standard Technical Report Number (ISRN)', 'International Standard Technical Report Number (ISRN)', 1, 0, '', ''),
		('016', 'International Standard Recording Code (ISRC)', 'International Standard Recording Code (ISRC)', 1, 0, '', ''),
		('017', 'Other Standard Identifier', 'Other Standard Identifier', 1, 0, '', ''),
		('020', 'National Bibliography Number', 'National Bibliography Number', 1, 0, '', ''),
		('021', 'Legal Deposit Number', 'Legal Deposit Number', 1, 0, '', ''),
		('022', 'Government Publication Number', 'Government Publication Number', 1, 0, '', ''),
		('035', 'Other System Control Numbers', 'Other System Control Numbers', 1, 0, '', ''),
		('036', 'Music Incipit', 'Music Incipit', 1, 0, '', ''),
		('040', 'CODEN (Serials)', 'CODEN (Serials)', 1, 0, '', ''),
		('071', 'Publisher\'s Number', 'Publisher\'s Number', 1, 0, '', ''),
		('072', 'Universal Product Code (UPC)', 'Universal Product Code (UPC)', 1, 0, '', ''),
		('073', 'International Article Number (EAN)', 'International Article Number (EAN)', 1, 0, '', ''),
		('100', 'General Processing Data', 'General Processing Data', 0, 1, '', ''),
		('101', 'Language of the Resource', 'Language of the Resource', 0, 0, '', ''),
		('102', 'Country of Publication or Production', 'Country of Publication or Production', 0, 0, '', ''),
		('105', 'Coded Data Field: Textual Material, Monographic', 'Coded Data Field: Textual Material, Monographic', 0, 0, '', ''),
		('106', 'Coded Data Field: Textual Material - Physical Attributes', 'Coded Data Field: Textual Material - Physical Attributes', 0, 0, '', ''),
		('110', 'Coded Data Field: Continuing Resources', 'Coded Data Field: Continuing Resources', 0, 0, '', ''),
		('115', 'Coded Data Field: Visual Projections, Videorecordings and Motion Pictures', 'Coded Data Fields: Visual Projections, Videorecordings and Motion Pictures', 1, 0, '', ''),
		('116', 'Coded Data Field: Graphics', 'Coded Data Field: Graphics', 1, 0, '', ''),
		('117', 'Coded Data Field: Three-Dimensional Artefacts and Realia', 'Coded Data Field: Three-Dimensional Artefacts and Realia', 1, 0, '', ''),
		('120', 'Coded Data Field: Cartographic Materials - General', 'Coded Data Field: Cartographic Materials - General', 0, 0, '', ''),
		('121', 'Coded Data Field: Cartographic Materials: Physical Attributes', 'Coded Data Field: Cartographic Materials: Physical Attributes', 0, 0, '', ''),
		('122', 'Coded Data Field: Time Period of Item Content', 'Coded Data Field: Time Period of Item Content', 1, 0, '', ''),
		('123', 'Coded Data Field: Cartographic Resources - Scale and Co-Ordinates', 'Coded Data Field: Cartographic Resources - Scale and Co-Ordinates', 1, 0, '', ''),
		('124', 'Coded Data Field: Cartographic Materials - Specific Material Designation Analysis', 'Coded Data Field: Cartographic Materials - Specific Material Designation Analysis', 0, 0, '', ''),
		('125', 'Coded Data Field: Sound Recordings and Music', 'Coded Data Field: Sound Recordings and Music', 0, 0, '', ''),
		('126', 'Coded Data Field: Sound Recordings - Physical Attributes', 'Coded Data Field: Sound Recordings - Physical Attributes', 0, 0, '', ''),
		('127', 'Coded Data Field: Duration of Sound Recordings and Printed Music', 'Coded Data Field: Duration of Sound Recordings and Printed Music', 0, 0, '', ''),
		('128', 'Coded Data Field: Form of Musical Work and Key or Mode', 'Coded Data Field: Form of Musical Work and Key or Mode', 1, 0, '', ''),
		('130', 'Coded Data Field: Microforms - Physical Attributes', 'Coded Data Field: Microforms - Physical Attributes', 1, 0, '', ''),
		('131', 'Coded Data Field: Cartographic Materials: Geodetic, Grid and Vertical Measurement', 'Coded Data Field: Cartographic Materials: Geodetic, Grid and Vertical Measurement', 0, 0, '', ''),
		('135', 'Coded Data Field: Electronic Resources', 'Coded Data Field: Electronic Resources', 1, 0, '', ''),
		('140', 'Coded Data Field: Antiquarian - General', 'Coded Data Field: Antiquarian - General', 0, 0, '', ''),
		('141', 'Coded Data Field: Copy Specific Attributes', 'Coded Data Field: Copy Specific Attributes', 1, 0, '', ''),
		('145', 'Coded Data Field: Medium of Performance [Obsolete]', 'Coded Data Field: Medium of Performance [Obsolete]', 1, 0, '', ''),
		('146', 'Coded Data Field: Medium of Performance', 'Coded Data Field: Medium of Performance', 1, 0, '', ''),
		('200', 'Title and Statement of Responsibility', 'Title and Statement of Responsibility', 0, 1, '', ''),
		('204', 'General Material Designation [Obsolete]', 'General Material Designation [Obsolete]', 1, 0, '', ''),
		('205', 'Edition Statement', 'Edition Statement', 1, 0, '', ''),
		('206', 'Material Specific Area: Cartographic Resources - Mathematical Data', 'Material Specific Area: Cartographic Resources - Mathematical Data', 1, 0, '', ''),
		('207', 'Material Specific Area: Numbering of Continuing Resources', 'Material Specific Area: Numbering of Continuing Resources', 0, 0, '', ''),
		('208', 'Material Specific Area: Printed Music Specific Statement', 'Material Specific Area: Printed Music Specific Statement', 0, 0, '', ''),
		('210', 'Publication, Distribution, etc.', 'Publication, Distribution, etc.', 1, 0, '', ''),
		('211', 'Projected Publication Date', 'Projected Publication Date', 0, 0, '', ''),
		('215', 'Physical Description', 'Physical Description', 1, 0, '', ''),
		('225', 'Series', 'Series', 1, 0, '', ''),
		('230', 'Material Specific Area: Electronic Resource Characteristics', 'Material Specific Area: Electronic Resource Characteristics', 1, 0, '', ''),
		('251', 'Organization and Arrangement of Materials', 'Organization and Arrangement of Materials', 1, 0, '', ''),
		('300', 'General Notes', 'General Notes', 1, 0, '', ''),
		('301', 'Notes Pertaining to Identification Numbers', 'Notes Pertaining to Identification Numbers', 1, 0, '', ''),
		('302', 'Notes Pertaining to Coded Information', 'Notes Pertaining to Coded Information', 1, 0, '', ''),
		('303', 'General Notes Pertaining to Descriptive Information', 'General Notes Pertaining to Descriptive Information', 1, 0, '', ''),
		('304', 'Notes Pertaining to Title and Statement of Responsibility', 'Notes Pertaining to Title and Statement of Responsibility', 1, 0, '', ''),
		('305', 'Notes Pertaining to Edition and Bibliographic History', 'Notes Pertaining to Edition and Bibliographic History', 1, 0, '', ''),
		('306', 'Notes Pertaining to Publication, Distribution, etc.', 'Notes Pertaining to Publication, Distribution, etc.', 1, 0, '', ''),
		('307', 'Notes Pertaining to Physical Description', 'Notes Pertaining to Physical Description', 1, 0, '', ''),
		('308', 'Notes Pertaining to Series', 'Notes Pertaining to Series', 1, 0, '', ''),
		('310', 'Notes Pertaining to Binding and Availability', 'Notes Pertaining to Binding and Availability', 1, 0, '', ''),
		('311', 'Notes Pertaining to Linking Fields', 'Notes Pertaining to Linking Fields', 1, 0, '', ''),
		('312', 'Notes Pertaining to Related Titles', 'Notes Pertaining to Related Titles', 1, 0, '', ''),
		('313', 'Notes Pertaining to Subject Access', 'Notes Pertaining to Subject Access', 1, 0, '', ''),
		('314', 'Notes Pertaining to Responsibility', 'Notes Pertaining to Responsibility', 1, 0, '', ''),
		('315', 'Notes Pertaining to Material (Or Type of Publication) Specific Information', 'Notes Pertaining to Material (Or Type of Publication) Specific Information', 1, 0, '', ''),
		('316', 'Note Relating to the Copy in Hand', 'Note Relating to the Copy in Hand', 1, 0, '', ''),
		('317', 'Provenance Note', 'Provenance Note', 1, 0, '', ''),
		('318', 'Action Note', 'Action Note', 1, 0, '', ''),
		('320', 'Internal Bibliographies/Indexes Note', 'Internal Bibliographies/Indexes Note', 1, 0, '', ''),
		('321', 'External Indexes/Abstracts/References Note', 'External Indexes/Abstracts/References Note', 1, 0, '', ''),
		('322', 'Credits Note (Projected and Video Material and Sound Recordings)', 'Credits Note (Projected and Video Material and Sound Recordings)', 0, 0, '', ''),
		('323', 'Cast Note (Projected and Video Material and Sound Recordings)', 'Cast Note (Projected and Video Material and Sound Recordings)', 1, 0, '', ''),
		('324', 'Original Version Note', 'Original Version Note', 0, 0, '', ''),
		('325', 'Reproduction Note', 'Reproduction Note', 1, 0, '', ''),
		('326', 'Frequency Statement Note (Continuing Resources)', 'Frequency Statement Note (Continuing Resources)', 1, 0, '', ''),
		('327', 'Contents Note', 'Contents Note', 1, 0, '', ''),
		('328', 'Dissertation (Thesis) Note', 'Dissertation (Thesis) Note', 1, 0, '', ''),
		('330', 'Summary or Abstract', 'Summary or Abstract', 1, 0, '', ''),
		('332', 'Preferred Citation of Described Materials', 'Preferred Citation of Described Materials', 1, 0, '', ''),
		('333', 'Users/Intended Audience Note', 'Users/Intended Audience Note', 1, 0, '', ''),
		('334', 'Awards Note', 'Awards Note', 1, 0, '', ''),
		('335', 'Location of Originals/ Reproductions', 'Location of Originals/ Reproductions', 1, 0, '', ''),
		('336', 'Type of Electronic Resource Note', 'Type of Electronic Resource Note', 1, 0, '', ''),
		('337', 'System Requirements Note (Electronic Resources)', 'System Requirements Note (Electronic Resources)', 1, 0, '', ''),
		('345', 'Acquisition Information Note', 'Acquisition Information Note', 0, 0, '', ''),
		('371', 'Notes on Information Service Policy', 'Notes on Information Service Policy', 1, 0, '', ''),
		('410', 'Series', 'Series', 0, 0, '', ''),
		('411', 'Subseries', 'Subseries', 0, 0, '', ''),
		('412', 'Source of Excerpt or Offprint', 'Source of Excerpt or Offprint', 0, 0, '', ''),
		('413', 'Excerpt or Offprint', 'Excerpt or Offprint', 0, 0, '', ''),
		('421', 'Supplement', 'Supplement', 0, 0, '', ''),
		('422', 'Parent of Supplement', 'Parent of Supplement', 0, 0, '', ''),
		('423', 'Issued with', 'Issued with', 0, 0, '', ''),
		('424', 'is Updated by', 'is Updated by', 0, 0, '', ''),
		('425', 'Updates', 'Updates', 0, 0, '', ''),
		('430', 'Continues', 'Continues', 0, 0, '', ''),
		('431', 'Continues in Part', 'Continues in Part', 0, 0, '', ''),
		('432', 'Supersedes', 'Supersedes', 0, 0, '', ''),
		('433', 'Supersedes in Part', 'Supersedes in Part', 0, 0, '', ''),
		('434', 'Absorbed', 'Absorbed', 0, 0, '', ''),
		('435', 'Absorbed in Part', 'Absorbed in Part', 0, 0, '', ''),
		('436', 'Formed by Merger of', 'Formed by Merger of', 0, 0, '', ''),
		('437', 'Separated from', 'Separated from', 0, 0, '', ''),
		('440', 'Continued by', 'Continued by', 0, 0, '', ''),
		('441', 'Continued in Part by', 'Continued in Part by', 0, 0, '', ''),
		('442', 'Superseded by', 'Superseded by', 0, 0, '', ''),
		('443', 'Superseded in Part by', 'Superseded in Part by', 0, 0, '', ''),
		('444', 'Absorbed by', 'Absorbed by', 0, 0, '', ''),
		('445', 'Absorbed in Part by', 'Absorbed in Part by', 0, 0, '', ''),
		('446', 'Split into', 'Split into', 0, 0, '', ''),
		('447', 'Merged with XXX to Form', 'Merged with XXX to Form', 0, 0, '', ''),
		('448', 'Changed Back to', 'Changed Back to', 0, 0, '', ''),
		('451', 'Other Edition in the Same Medium', 'Other Edition in the Same Medium', 0, 0, '', ''),
		('452', 'Other Edition in Another Medium', 'Other Edition in Another Medium', 0, 0, '', ''),
		('453', 'Translated as', 'Translated as', 0, 0, '', ''),
		('454', 'Translation of', 'Translation of', 0, 0, '', ''),
		('455', 'Other Edition, State or Impression in the Same Medium', 'Other Edition, State or Impression in the Same Medium', 0, 0, '', ''),
		('456', 'Reproduced as', 'Reproduced as', 0, 0, '', ''),
		('461', 'Set Level', 'Set Level', 0, 0, '', ''),
		('462', 'Subset Level', 'Subset Level', 0, 0, '', ''),
		('463', 'Piece Level', 'Piece Level', 0, 0, '', ''),
		('464', 'Piece-Analytic Level', 'Piece-Analytic Level', 0, 0, '', ''),
		('470', 'Item Reviewed', 'Item Reviewed', 0, 0, '', ''),
		('481', 'Also Bound with This Volume', 'Also Bound with This Volume', 0, 0, '', ''),
		('482', 'Bound with', 'Bound with', 0, 0, '', ''),
		('488', 'Other Related Works', 'Other Related Works', 0, 0, '', ''),
		('500', 'Preferred Access Point', 'Preferred Access Point', 1, 0, '', ''),
		('501', 'Collective Preferred Title', 'Collective Preferred Title', 1, 0, '', ''),
		('503', 'Preferred Conventional Heading', 'Preferred Conventional Heading', 1, 0, '', ''),
		('506', 'Preferred Access Point - Identification of a Work', 'Preferred Access Point - Identification of a Work', 1, 0, '', ''),
		('507', 'Preferred Access Point - Identification of an Expression', 'Preferred Access Point - Identification of an Expression', 1, 0, '', ''),
		('510', 'Parallel Title Proper', 'Parallel Title Proper', 1, 0, '', ''),
		('511', 'Half Title', 'Half Title', 1, 0, '', ''),
		('512', 'Cover Title', 'Cover Title', 1, 0, '', ''),
		('513', 'Added Title-Page Title', 'Added Title-Page Title', 1, 0, '', ''),
		('514', 'Caption Title', 'Caption Title', 1, 0, '', ''),
		('515', 'Running Title', 'Running Title', 1, 0, '', ''),
		('516', 'Spine Title', 'Spine Title', 1, 0, '', ''),
		('517', 'Other Variant Titles', 'Other Variant Titles', 1, 0, '', ''),
		('518', 'Title in Standard Modern Spelling', 'Title in Standard Modern Spelling', 1, 0, '', ''),
		('520', 'Former Title (Continuing Resources)', 'Former Title (Continuing Resources)', 1, 0, '', ''),
		('530', 'Key Title (Continuing Resources)', 'Key Title (Continuing Resources)', 1, 0, '', ''),
		('531', 'Abbreviated Title (Continuing Resources)', 'Abbreviated Title (Continuing Resources)', 1, 0, '', ''),
		('532', 'Expanded Title', 'Expanded Title', 1, 0, '', ''),
		('540', 'Additional Title Supplied by Cataloguer', 'Additional Title Supplied by Cataloguer', 1, 0, '', ''),
		('541', 'Translated Title Supplied by Cataloguer', 'Translated Title Supplied by Cataloguer', 1, 0, '', ''),
		('545', 'Section Title', 'Section Title', 1, 0, '', ''),
		('560', 'Artifical Title', 'Artifical Title', 1, 0, '', ''),
		('576', 'Name / Preferred Access Point - Identification of a Work', 'Name / Preferred Access Point - Identification of a Work', 1, 0, '', ''),
		('577', 'Name / Preferred Access Point - Identification of an Expression', 'Name / Preferred Access Point - Identification of an Expression', 1, 0, '', ''),
		('600', 'Personal Name Used as Subject', 'Personal Name Used as Subject', 1, 0, '', ''),
		('601', 'Corporate Body Name Used as Subject', 'Corporate Body Name Used as Subject', 1, 0, '', ''),
		('602', 'Family Name Used as Subject', 'Family Name Used as Subject', 1, 0, '', ''),
		('604', 'Name and Title Used as Subject', 'Name and Title Used as Subject', 1, 0, '', ''),
		('605', 'Title Used as Subject', 'Title Used as Subject', 1, 0, '', ''),
		('606', 'Topical Name Used as Subject', 'Topical Name Used as Subject', 1, 0, '', ''),
		('607', 'Geographical Name Used as Subject', 'Geographical Name Used as Subject', 1, 0, '', ''),
		('608', 'Form, Genre or Physical Characteristics Heading', 'Form, Genre or Physical Characteristics Heading', 1, 0, '', ''),
		('610', 'Uncontrolled Subject Terms', 'Uncontrolled Subject Terms', 1, 0, '', ''),
		('615', 'Subject Category (Provisional)', 'Subject Category (Provisional)', 1, 0, '', ''),
		('616', 'Trademark Used as Subject', 'Trademark Used as Subject', 1, 0, '', ''),
		('617', 'Hierarchical Geographical Name Used as Subject', 'Hierarchical Geographical Name Used as Subject', 1, 0, '', ''),
		('620', 'Place and Date of Publication, Performance, etc.', 'Place and Date of Publication, Performance, etc.', 1, 0, '', ''),
		('621', 'Place and Date of Provenance', 'Place and Date of Provenance', 1, 0, '', ''),
		('626', 'Technical Details Access (Electronic Resources) [Obsolete]', 'Technical Details Access (Electronic Resources) [Obsolete]', 1, 0, '', ''),
		('660', 'Geographic Area Code', 'Geographic Area Code', 1, 0, '', ''),
		('661', 'Time Period Code', 'Time Period Code', 1, 0, '', ''),
		('670', 'PRECIS', 'PRECIS', 1, 0, '', ''),
		('675', 'Universal Decimal Classification (UDC)', 'Universal Decimal Classification (UDC)', 1, 0, '', ''),
		('676', 'Dewey Decimal Classification', 'Dewey Decimal Classification', 1, 0, '', ''),
		('680', 'Library of Congress Classification', 'Library of Congress Classification', 1, 0, '', ''),
		('686', 'Other Class Numbers', 'Other Class Numbers', 1, 0, '', ''),
		('700', 'Personal Name - Primary Responsibility', 'Personal Name - Primary Responsibility', 0, 0, '', ''),
		('701', 'Personal Name - Alternative Responsibility', 'Personal Name - Alternative Responsibility', 1, 0, '', ''),
		('702', 'Personal Name - Secondary Responsibility', 'Personal Name - Secondary Responsibility', 1, 0, '', ''),
		('703', 'Personal Name - Provenance or Ownership', 'Personal Name - Provenance or Ownership', 1, 0, '', ''),
		('710', 'Corporate Body Name - Primary Responsibility', 'Corporate Body Name - Primary Responsibility', 0, 0, '', ''),
		('711', 'Corporate Body Name - Alternative Responsibility', 'Corporate Body Name - Alternative Responsibility', 1, 0, '', ''),
		('712', 'Corporate Body Name - Secondary Responsibility', 'Corporate Body Name - Secondary Responsibility', 1, 0, '', ''),
		('713', 'Corporate Body Name - Provenance or Ownership', 'Corporate Body Name - Provenance or Ownership', 1, 0, '', ''),
		('716', 'Trademark', 'Trademark', 1, 0, '', ''),
		('720', 'Family Name - Primary Responsibility', 'Family Name - Primary Responsibility', 0, 0, '', ''),
		('721', 'Family Name - Alternative Responsibility', 'Family Name - Alternative Responsibility', 1, 0, '', ''),
		('722', 'Family Name - Secondary Responsibility', 'Family Name - Secondary Responsibility', 1, 0, '', ''),
		('723', 'Family Name - Provenance or Ownership', 'Family Name - Provenance or Ownership', 1, 0, '', ''),
		('730', 'Name - Entity Responsible', 'Name - Entity Responsible', 1, 0, '', ''),
		('740', 'Uniform Conventional Heading for Legal and Religious Texts - Primary Responsibility', 'Uniform Conventional Heading for Legal and Religious Texts - Primary Responsibility', 0, 0, '', ''),
		('741', 'Uniform Conventional Heading for Legal and Religious Texts - Alternative Responsibility', 'Uniform Conventional Heading for Legal and Religious Texts - Alternative Responsibility', 1, 0, '', ''),
		('742', 'Uniform Conventional Heading for Legal and Religious Texts - Secondary Responsibility', 'Uniform Conventional Heading for Legal and Religious Texts - Secondary Responsibility', 1, 0, '', ''),
		('801', 'Originating Source', 'Originating Source', 1, 1, '', ''),
		('802', 'National ISSN Centre', 'National ISSN Centre', 0, 0, '', ''),
		('830', 'General Cataloguer\'s Note', 'General Cataloguer\'s Note', 1, 0, '', ''),
		('850', 'Holding Institution', 'Holding Institution', 1, 0, '', ''),
		('852', 'Location and Call Number', 'Location and Call Number', 1, 0, '', ''),
		('856', 'Electronic Location and Access', 'Electronic Location and Access', 1, 0, '', ''),
		('886', 'Data Not Converted from Source Format', 'Data Not Converted from Source Format', 1, 0, '', '');


INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'fixed length control field', 'fixed length control field', 0, 1, '', 0, '', '', 'unimarc_leader.pl', 0, 0, '', '', '', NULL),
		('001', '@', 'control field', 'control field', 0, 1, 'biblio.biblionumber', -1, '', '', '', 0, 0, '', '', '', NULL),
		('003', '@', 'control field', 'control field', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('005', '@', 'control field', 'control field', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, 0, '', '', '', NULL),
		('010', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('010', 'a', 'Number (ISBN)', 'Number (ISBN)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'b', 'Qualification', 'Qualification', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('010', 'z', 'Erroneous ISBN', 'Erroneous ISBN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'a', 'Number (ISSN)', 'Number (ISSN)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('011', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'f', 'ISSN-L or Linking ISSN', 'ISSN-L or Linking ISSN', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('011', 'g', 'Cancelled ISSN-L', 'Cancelled ISSN-L', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('011', 'y', 'Cancelled ISSN', 'Cancelled ISSN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('011', 'z', 'Erroneous ISSN or ISSN-L', 'Erroneous ISSN or ISSN-L', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', '2', 'Fingerprint System Code', 'Fingerprint System Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('012', 'a', 'Fingerprint', 'Fingerprint', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'a', 'Number (ISMN)', 'Number (ISMN)', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('013', 'z', 'Erroneous ISMN', 'Erroneous ISMN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', '2', 'System Code', 'System Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', 'a', 'Article Identifier', 'Article Identifier', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('014', 'z', 'Erroneous Article Identifier', 'Erroneous Article Identifier', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('015', 'a', 'Number (ISRN)', 'Number (ISRN)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', 'z', 'Cancelled/Invalid/Erroneous ISRN', 'Cancelled/Invalid/Erroneous ISRN', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'a', 'Number (ISRC)', 'Number (ISRC)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'd', 'Terms of Availability and/or Price [Obsolete]', 'Terms of Availability and/or Price [Obsolete]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'z', 'Erroneous ISRC', 'Erroneous ISRC', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', '2', 'Source of Code', 'Source of Code', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'a', 'Standard Number', 'Standard Number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'z', 'Erroneous Number or Code', 'Erroneous Number or Code', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('020', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('020', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('021', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'a', 'Country Code', 'Country Code', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'b', 'Number', 'Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('022', 'z', 'Erroneous Number', 'Erroneous Number', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('035', 'a', 'System Control Number', 'System Control Number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', 'z', 'Cancelled or Invalid Control Number', 'Cancelled or Invalid Control Number', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', '2', 'System Code for Musical Notation', 'System Code for Musical Notation', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'a', 'Number of Work', 'Number of Work', 0, 1, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'b', 'Number of Movement', 'Number of Movement', 0, 1, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'c', 'Number of Incipit', 'Number of Incipit', 0, 1, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'd', 'Voice/Instrument', 'Voice/Instrument', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'e', 'Role', 'Role', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'f', 'Movement Caption/Heading', 'Movement Caption/Heading', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'g', 'Key or Mode', 'Key or Mode', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'm', 'Clef', 'Clef', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'n', 'Key Signature', 'Key Signature', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'o', 'Time Signature', 'Time Signature', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'p', 'Musical Notation', 'Musical Notation', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'q', 'Comments (Free Text)', 'Comments (Free Text)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'r', 'Codified Note', 'Codified Note', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 't', 'Text Incipit', 'Text Incipit', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'z', 'Language of Text', 'Language of Text', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('040', 'z', 'Erroneous CODEN', 'Erroneous CODEN', 1, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('071', 'a', 'Publisher\'s Number', 'Publisher\'s Number', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('071', 'b', 'Source', 'Source', 0, 0, '', 0, '', '', '', 0, -5, '', '', '', NULL),
		('071', 'c', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'z', 'Erroneous Publisher\'s Number', 'Erroneous Publisher\'s Number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', 'a', 'Standard Number', 'Standard Number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', 'c', 'Additional Codes Following Standard Number or Code', 'Additional Codes Following Standard Number or Code', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', 'z', 'Erroneous Number or Code', 'Erroneous Number or Code', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('073', 'a', 'Standard Number', 'Standard Number', 0, 0, 'biblioitems.ean', 0, '', '', '', 0, 0, '', '', '', NULL),
		('073', 'b', 'Qualification', 'Qualification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('073', 'c', 'Additional Codes Following Standard Number or Code', 'Additional Codes Following Standard Number or Code', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('073', 'd', 'Terms of Availability and/or Price', 'Terms of Availability and/or Price', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('073', 'z', 'Erroneous Number or Code', 'Erroneous Number or Code', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'a', 'General Processing Data', 'General Processing Data', 0, 0, '', 1, '', '', 'unimarc_field_100.pl', 0, 0, '', '', '', NULL),
		('101', 'a', 'Language of Text, Soundtrack etc.', 'Language of Text, Soundtrack etc.', 1, 0, '', 1, 'LANG', '', '', 0, 0, '', '', '', NULL),
		('101', 'b', 'Language of Intermediate Text When Item is Not Translated from Original', 'Language of Intermediate Text When Item is Not Translated from Original', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'c', 'Language of Original Work', 'Language of Original Work', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'd', 'Language of Summary', 'Language of Summary', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'e', 'Language of Contents Page', 'Language of Contents Page', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'f', 'Language of Title Page If Different from Text', 'Language of Title Page If Different from Text', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'g', 'Language of Title Proper If Not First Language of Text, Soundtrack, etc.', 'Language of Title Proper If Not First Language of Text, Soundtrack, etc.', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'h', 'Language of Libretto, etc.', 'Language of Libretto, etc.', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'i', 'Language of Accompanying Material (Other than Summaries, Abstracts or Librettos)', 'Language of Accompanying Material (Other than Summaries, Abstracts or Librettos)', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('101', 'j', 'Language of Subtitles', 'Language of Subtitles', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('102', 'a', 'Country of Publication', 'Country of Publication', 1, 0, '', 1, 'COUNTRY', '', '', 0, 0, '', '', '', NULL),
		('102', 'b', 'Locality of Publication', 'Locality of Publication', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('105', 'a', 'Monograph Coded Data', 'Monograph Coded Data', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('106', 'a', 'Textual Material Coded Data Physical Medium Designator', 'Textual Material Coded Data Physical Medium Designator', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('110', 'a', 'Continuing Resource Coded Data', 'Continuing Resource Coded Data', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('115', 'a', 'Coded Data - General', 'Coded Data - General', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('115', 'b', 'Motion Picture Coded Data - Archival', 'Motion Picture Coded Data - Archival', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('116', 'a', 'Coded Data for Graphics', 'Coded Data for Graphics', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('117', 'a', 'Coded Data for Three-Dimensional Artefacts and Realia', 'Coded Data for Three-Dimensional Artefacts and Realia', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('120', 'a', 'Cartographic Material Coded Data (General)', 'Cartographic Material Coded Data (General)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('121', 'a', 'Cartographic Material Coded Data: Physical Attributes (General)', 'Cartographic Material Coded Data: Physical Attributes (General)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('121', 'b', 'Aerial Photography and Remote Sensing Coded Data: Physical Attributes', 'Aerial Photography and Remote Sensing Coded Data: Physical Attributes', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('122', 'a', 'Time Period, 9999 B.C. to Present', 'Time Period, 9999 B.C. to Present', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'a', 'Type of Scale', 'Type of Scale', 0, 1, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'b', 'Constant Ratio Linear Horizontal Scale', 'Constant Ratio Linear Horizontal Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'c', 'Constant Ratio Linear Vertical Scale', 'Constant Ratio Linear Vertical Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'd', 'Coordinates - Westernmost Longitude', 'Coordinates - Westernmost Longitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'e', 'Coordinates - Easternmost Longitude', 'Coordinates - Easternmost Longitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'f', 'Coordinates - Northernmost Latitude', 'Coordinates - Northernmost Latitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'g', 'Coordinates - Southernmost Latitude', 'Coordinates - Southernmost Latitude', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'h', 'Angular Scale', 'Angular Scale', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'i', 'Declination - Northern Limit', 'Declination - Northern Limit', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'j', 'Declination - Southern Limit', 'Declination - Southern Limit', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'k', 'Right Ascension - Eastern Limits', 'Right Ascension - Eastern Limits', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'm', 'Right Ascension - Western Limits', 'Right Ascension - Western Limits', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'n', 'Equinox', 'Equinox', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'o', 'Epoch', 'Epoch', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('123', 'p', 'Planet', 'Planet', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('124', 'a', 'Character of Image', 'Character of Image', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'b', 'Form of Cartographic Item', 'Form of Cartographic Item', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'c', 'Presentation Technique for Photographic or Non-Photographic Image', 'Presentation Technique for Photographic or Non-Photographic Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'd', 'Position of Platform for Photographic or Remote Sensing Image', 'Position of Platform for Photographic or Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'e', 'Category of Satellite for Remote Sensing Image', 'Category of Satellite for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'f', 'Name of Satellite for Remote Sensing Image', 'Name of Satellite for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('124', 'g', 'Recording Technique for Remote Sensing Image', 'Recording Technique for Remote Sensing Image', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('125', 'a', 'Format of Notated Music', 'Format of Notated Music', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('125', 'b', 'Literary Text Indicator (Non-Music Performance)', 'Literary Text Indicator (Non-Music Performance)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('125', 'c', 'Multiple Musical Format', 'Multiple Musical Format', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('126', 'a', 'Sound Recording Coded Data (General)', 'Sound Recording Coded Data (General)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('126', 'b', 'Sound Recording Coded Data (Detail)', 'Sound Recording Coded Data (Detail)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('127', 'a', 'Duration', 'Duration', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'a', 'Form of Musical Work', 'Form of Musical Work', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'b', 'Instruments or Voices for Ensembles [Obsolete]', 'Instruments or Voices for Ensembles [Obsolete]', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'c', 'Instruments or Voices for Soloists [Obsolete]', 'Instruments or Voices for Soloists [Obsolete]', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('128', 'd', 'Key or Mode of Musical Work', 'Key or Mode of Musical Work', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('130', 'a', 'Microform Coded Data Physical Attributes', 'Microform Coded Data Physical Attributes', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'a', 'Spheroid', 'Spheroid', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'b', 'Horizontal Datum', 'Horizontal Datum', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'c', 'Grid and Referencing System', 'Grid and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'd', 'Overlapping and Referencing System', 'Overlapping and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'e', 'Secondary Grid and Referencing System', 'Secondary Grid and Referencing System', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'f', 'Vertical Datum', 'Vertical Datum', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'g', 'Unit of Measurement of Heighting', 'Unit of Measurement of Heighting', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'h', 'Contour Interval', 'Contour Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'i', 'Supplementary Contour Interval', 'Supplementary Contour Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'j', 'Unit of Measurement of Bathymetry', 'Unit of Measurement of Bathymetry', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'k', 'Bathymetric Interval', 'Bathymetric Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('131', 'l', 'Supplementary Bathymetric Interval', 'Supplementary Bathymetric Interval', 1, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('135', 'a', 'Coded Data for Electronic Resources', 'Coded Data for Electronic Resources', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('140', 'a', 'Antiquarian Coded Data - General', 'Antiquarian Coded Data - General', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('141', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 1, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('141', 'a', 'Coded Data - Copy Specific Attributes', 'Coded Data - Copy Specific Attributes', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('141', 'b', 'Binding Specific Characteristics', 'Binding Specific Characteristics', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('141', 'c', 'Age', 'Age', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('141', 'd', 'Binding State of Preservation Code - Specific', 'Binding State of Preservation Code - Specific', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('141', 'e', 'Body of the Book Specific Characteristics', 'Body of the Book Specific Characteristics', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('141', 'f', 'Body of the Book State of Preservation Code - Specific', 'Body of the Book State of Preservation Code - Specific', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'a', 'Type of Performance Medium', 'Type of Performance Medium', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'b', 'Instrument/Voice, Conductor, Other Performer or Device', 'Instrument/Voice, Conductor, Other Performer or Device', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'c', 'Type of Ensemble', 'Type of Ensemble', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'd', 'Group within Larger Ensemble', 'Group within Larger Ensemble', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'e', 'Number of Parts', 'Number of Parts', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('145', 'f', 'Number of Players', 'Number of Players', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'a', 'Type of Performance Medium', 'Type of Performance Medium', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'b', 'Instrument or Voice Soloist', 'Instrument or Voice Soloist', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'c', 'Instrument or Voice Non-Soloist, Conductor, Other Performer or Device', 'Instrument or Voice Non-Soloist, Conductor, Other Performer or Device', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'd', 'Vocal or Instrumental Ensemble', 'Vocal or Instrumental Ensemble', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'e', 'Instrument or Voice Non-Soloist, Conductor, Other Performer or Device, Included in an Ensemble', 'Instrument or Voice Non-Soloist, Conductor, Other Performer or Device, Included in an Ensemble', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'f', 'Specific Instrument', 'Specific Instrument', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'h', 'Number of Parts', 'Number of Parts', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('146', 'i', 'Number of Players', 'Number of Players', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('200', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'a', 'Title Proper', 'Title Proper', 1, 0, 'biblio.title', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'b', 'General Material Designation', 'General Material Designation', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'c', 'Title Proper by Another Author', 'Title Proper by Another Author', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'd', 'Parallel Title Proper', 'Parallel Title Proper', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, 'biblio.author', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'h', 'Number of a Part', 'Number of a Part', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'i', 'Name of a Part', 'Name of a Part', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'j', 'Inclusive Dates', 'Inclusive Dates', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('200', 'k', 'Bulk Dates', 'Bulk Dates', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('200', 'r', 'Title Page Information Following the Title Proper', 'Title Page Information Following the Title Proper', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('200', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('200', 'z', 'Language of Parallel Title Proper', 'Language of Parallel Title Proper', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('204', 'a', 'GMD', 'GMD', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('205', 'a', 'Edition Statement', 'Edition Statement', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'b', 'Issue Statement', 'Issue Statement', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'd', 'Parallel Edition Statement', 'Parallel Edition Statement', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'f', 'Statement of Responsibility Relating to Edition', 'Statement of Responsibility Relating to Edition', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('205', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('206', 'a', 'Mathematical Data Statement', 'Mathematical Data Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('206', 'b', 'Statement of Scale', 'Statement of Scale', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('206', 'c', 'Statement of Projection', 'Statement of Projection', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('206', 'd', 'Statement of Coordinates', 'Statement of Coordinates', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('206', 'e', 'Right Ascension and Declination', 'Right Ascension and Declination', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('206', 'f', 'Statement of Equinox', 'Statement of Equinox', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('207', 'a', 'Numbering: Dates and Volume Designations', 'Numbering: Dates and Volume Designations', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('207', 'z', 'Source of Numbering Information', 'Source of Numbering Information', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('208', 'a', 'Printed Music Specific Statement', 'Printed Music Specific Statement', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('208', 'd', 'Parallel Printed Music Specific Statement(s)', 'Parallel Printed Music Specific Statement(s)', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'a', 'Place of Publication, Distribution, etc.', 'Place of Publication, Distribution, etc.', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'b', 'Address of Publisher, Distributor, etc.', 'Address of Publisher, Distributor, etc.', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'c', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, 'biblioitems.publishercode', 2, '', '', 'unimarc_field_210c.pl', 0, 0, '', '', '', NULL),
		('210', 'd', 'Date of Publication, Distribution, etc.', 'Date of Publication, Distribution, etc.', 1, 0, 'biblioitems.publicationyear', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'e', 'Place of Manufacture', 'Place of Manufacture', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'f', 'Address of Manufacturer', 'Address of Manufacturer', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'g', 'Name of Manufacturer', 'Name of Manufacturer', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'h', 'Date of Manufacture', 'Date of Manufacture', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('210', 'r', 'Printing and/or Publishing Information Transcribed as Found in the Main Source of Information', 'Printing and/or Publishing Information Transcribed as Found in the Main Source of Information', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('210', 's', 'Printing and/or Publishing Information Transcribed as Found in the Colophon', 'Printing and/or Publishing Information Transcribed as Found in the Colophon', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('211', 'a', 'Date', 'Date', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'a', 'Specific Material Designation and Extent of Item', 'Specific Material Designation and Extent of Item', 1, 0, 'biblioitems.pages', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'c', 'Other Physical Details', 'Other Physical Details', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'd', 'Dimensions', 'Dimensions', 1, 0, 'biblioitems.size', 2, '', '', '', 0, 0, '', '', '', NULL),
		('215', 'e', 'Accompanying Material', 'Accompanying Material', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'a', 'Series Title', 'Series Title', 0, 0, 'biblio.seriestitle', 2, '', '', 'unimarc_field_225a.pl', 0, 0, '', '', '', NULL),
		('225', 'd', 'Parallel Series Title', 'Parallel Series Title', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'f', 'Statement of Responsibility', 'Statement of Responsibility', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'h', 'Number of a Part', 'Number of a Part', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'i', 'Name of a Part', 'Name of a Part', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'v', 'Volume Designation', 'Volume Designation', 1, 0, 'biblioitems.volume', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'x', 'ISSN of Series', 'ISSN of Series', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('225', 'z', 'Language of Parallel Title', 'Language of Parallel Title', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('230', 'a', 'Designation and Extent of File', 'Designation and Extent of File', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL),
		('251', 'a', 'Organization', 'Organization', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('251', 'b', 'Arrangement', 'Arrangement', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('251', 'c', 'Level', 'Level', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('300', 'a', 'Text of Note', 'Text of Note', 0, 0, 'biblio.notes', 3, '', '', '', 0, 0, '', '', '', NULL),
		('301', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('302', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('303', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('304', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('305', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('306', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('307', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('308', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('310', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('311', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('312', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('313', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('314', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('315', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('316', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('316', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('316', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('316', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('317', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('317', '6', 'Interfield Linking Data', 'Interfield Linking Data', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('317', '8', 'Materials Specified', 'Materials Specified', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('317', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('317', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('318', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'a', 'Action', 'Action', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'b', 'Action Identification', 'Action Identification', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'c', 'Time of Action', 'Time of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'd', 'Action Interval', 'Action Interval', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'e', 'Contingency for Action', 'Contingency for Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'f', 'Authorization', 'Authorization', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'h', 'Jurisdiction', 'Jurisdiction', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'i', 'Method of Action', 'Method of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'j', 'Site of Action', 'Site of Action', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'k', 'Action Agent', 'Action Agent', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'l', 'Status', 'Status', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'n', 'Extent', 'Extent', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'o', 'Type of Unit', 'Type of Unit', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'p', 'Non-Public Note', 'Non-Public Note', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'r', 'Public Note', 'Public Note', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('318', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('320', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('320', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('321', 'a', 'Indexes, Abstracts, References Note', 'Indexes, Abstracts, References Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('321', 'b', 'Dates of Coverage', 'Dates of Coverage', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('321', 'x', 'International Standard Serial Number (ISSN)', 'International Standard Serial Number (ISSN)', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('322', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('323', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('324', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('325', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('326', 'a', 'Frequency', 'Frequency', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('326', 'b', 'Dates of Frequency', 'Dates of Frequency', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('327', 'a', 'Text of Note', 'Text of Note', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('327', 'b', 'Title of Level 1 Subdivision', 'Title of Level 1 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'c', 'Title of Level 2 Subdivision', 'Title of Level 2 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'd', 'Title of Level 3 Subdivision', 'Title of Level 3 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'e', 'Title of Level 4 Subdivision', 'Title of Level 4 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'f', 'Title of Level 5 Subdivision', 'Title of Level 5 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'g', 'Title of Level 6 Subdivision', 'Title of Level 6 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'h', 'Title of Level 7 Subdivision', 'Title of Level 7 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'i', 'Title of Level 8 Subdivision', 'Title of Level 8 Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'p', 'Sequence of Pages or First Page of a Subdivision', 'Sequence of Pages or First Page of a Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'u', 'Uniform Resource Identifier (Uri)', 'Uniform Resource Identifier (Uri)', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('327', 'z', 'Other Information Concerning a Subdivision', 'Other Information Concerning a Subdivision', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('328', 'b', 'Dissertation or Thesis Details and Type of Degree', 'Dissertation or Thesis Details and Type of Degree', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 'c', 'Discipline of Degree', 'Discipline of Degree', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 'd', 'Date of Degree', 'Date of Degree', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 'e', 'Body Granting the Degree', 'Body Granting the Degree', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 't', 'Title of Other Edition of Dissertation or Thesis', 'Title of Other Edition of Dissertation or Thesis', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('328', 'z', 'Text Preceding or Following the Note', 'Text Preceding or Following the Note', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('330', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('332', 'a', 'Preferred Citation', 'Preferred Citation', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('333', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('334', 'a', 'Text of Awards Note', 'Text of Awards Note', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('334', 'b', 'Name of Award', 'Name of Award', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('334', 'c', 'Year of Award', 'Year of Award', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('334', 'd', 'Country of Award', 'Country of Award', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('334', 'u', 'Uniform Resource Identifier (Uri)', 'Uniform Resource Identifier (Uri)', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', '8', 'Materials Specified', 'Materials Specified', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', 'a', 'Identification of the Holder', 'Identification of the Holder', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', 'b', 'Address', 'Address', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', 'c', 'Country', 'Country', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', 'g', 'Control Number', 'Control Number', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('335', 'u', 'Uniform Resource Identifier (Uri)', 'Uniform Resource Identifier (Uri)', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('336', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('337', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('337', 'u', 'Uniform Resource Identifier (Uri)', 'Uniform Resource Identifier (Uri)', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('345', 'a', 'Source for Acquisition/Subscription Address', 'Source for Acquisition/Subscription Address', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'b', 'Stock Number', 'Stock Number', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'c', 'Medium', 'Medium', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'd', 'Terms of Availability', 'Terms of Availability', 1, 0, '', 3, '', '', '', 0, -5, '', '', '', NULL),
		('345', 'u', 'Uniform Resource Identifier (Uri)', 'Uniform Resource Identifier (Uri)', 1, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('371', 'a', 'Terms Governing Use and Reproduction', 'Terms Governing Use and Reproduction', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('371', 'b', 'Jurisdiction', 'Jurisdiction', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('371', 'c', 'Authorization', 'Authorization', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('371', 'd', 'Authorized Users', 'Authorized Users', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('371', 'z', 'Materials Specified', 'Materials Specified', 0, 0, '', 3, '', '', '', 0, -6, '', '', '', NULL),
		('410', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('410', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('411', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('412', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('412', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('413', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('421', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('421', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('422', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('422', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('423', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('423', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('424', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('424', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('425', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('430', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('430', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('431', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('431', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('432', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('432', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('433', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('433', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('434', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('434', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('435', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('435', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('436', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('436', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('437', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('437', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('440', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('441', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('441', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('442', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('442', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('443', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('443', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('444', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('444', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('445', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('445', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('446', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('446', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('447', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('447', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('448', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('448', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('451', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('451', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('452', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('452', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('453', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('453', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('454', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('454', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('455', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('455', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('456', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('456', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('461', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('461', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('462', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('462', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('463', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('463', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('464', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('464', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('470', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('470', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('481', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('481', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('482', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('482', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '0', 'Bibliographic Record Identifier', 'Bibliographic Record Identifier', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '1', 'Linking Data', 'Linking Data', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'a', 'Author', 'Author', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'b', 'General Material Designation', 'General Material Designation', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'c', 'Place of Publication', 'Place of Publication', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'd', 'Date of Publication', 'Date of Publication', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'e', 'Edition Statement', 'Edition Statement', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'f', 'First Statement of Responsibility', 'First Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'g', 'Subsequent Statement of Responsibility', 'Subsequent Statement of Responsibility', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'l', 'Parallel Title', 'Parallel Title', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'm', 'International Standard Music Number', 'International Standard Music Number', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'n', 'Name of Publisher, Distributor, etc.', 'Name of Publisher, Distributor, etc.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'o', 'Other Title Information.', 'Other Title Information.', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'p', 'Physical Description', 'Physical Description', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'q', 'International Standard Identifier for a Work', 'International Standard Identifier for a Work', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 'r', 'International Standard Identifier for an Expression', 'International Standard Identifier for an Expression', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 's', 'Series Statement', 'Series Statement', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('488', 't', 'Title', 'Title', 0, 1, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'u', 'Uniform Resource Locator', 'Uniform Resource Locator', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'v', 'Volume Number', 'Volume Number', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'x', 'International Standard Serial Number', 'International Standard Serial Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'y', 'International Standard Book Number', 'International Standard Book Number', 1, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('488', 'z', 'CODEN', 'CODEN', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('500', '2', 'System Code', 'System Code', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'a', 'Preferred Access Point', 'Preferred Access Point', 0, 0, 'biblio.unititle', 5, '', '', '', 0, 0, '', '', '', NULL),
		('500', 'b', 'General Material Designation', 'General Material Designation', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('500', 'k', 'Date of Publication', 'Date of Publication', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'l', 'Form Subheading', 'Form Subheading', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'm', 'Language (when Part of a Heading)', 'Language (when Part of a Heading)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'w', 'Additional Elements (for Music)', 'Additional Elements (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('500', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', '2', 'System Code', 'System Code', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'a', 'Collective Preferred Title', 'Collective Preferred Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'b', 'General Material Designation', 'General Material Designation', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'e', 'Collective Preferred Subtitle', 'Collective Preferred Subtitle', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('501', 'k', 'Date of Publication, etc.', 'Date of Publication, etc.', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('501', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'a', 'Form Heading Proper', 'Form Heading Proper', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'b', 'Form Subheading', 'Form Subheading', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'd', 'Month and Day', 'Month and Day', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'e', 'Personal Name - Entry Element of Person', 'Personal Name - Entry Element of Person', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'f', 'Personal Name - Part of Name Other than Entry Element - Forename', 'Personal Name - Part of Name Other than Entry Element - Forename', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'g', 'Personal Name - Dates', 'Personal Name - Dates', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('503', 'h', 'Personal Name Qualifier', 'Personal Name Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'i', 'Title of Part', 'Title of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'j', 'Year', 'Year', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'k', 'Numeration (Arabic)', 'Numeration (Arabic)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'l', 'Numeration (Roman)', 'Numeration (Roman)', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'm', 'Locality', 'Locality', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'n', 'Institution in Locality', 'Institution in Locality', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('503', 'o', 'Place in Locality', 'Place in Locality', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', '3', 'Authority Entry Record Number', 'Authority Entry Record Number', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'a', 'Title', 'Title', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'c', 'Form of Work', 'Form of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'd', 'Date of Work', 'Date of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'e', 'Place of Origin of Work', 'Place of Origin of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'f', 'Original Language of the Work', 'Original Language of the Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'k', 'Other Distinguishing Characteristics of a Work', 'Other Distinguishing Characteristics of a Work', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('506', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', '3', 'Authority Entry Record Number', 'Authority Entry Record Number', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'a', 'Title', 'Title', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'c', 'Form of Work', 'Form of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'd', 'Date of Work', 'Date of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'e', 'Place of Origin of Work', 'Place of Origin of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'f', 'Original Language of the Work', 'Original Language of the Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'k', 'Other Distinguishing Characteristics of a Work', 'Other Distinguishing Characteristics of a Work', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'l', 'Form of the Expression [Expression]', 'Form of the Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'm', 'Language of the Expression [Expression]', 'Language of the Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'n', 'Content Type [Expression]', 'Content Type [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'o', 'Date of Expression [Expression]', 'Date of Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'v', 'Medium of Performance (for Music) [Expression]', 'Medium of Performance (for Music) [Expression]', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('507', 'w', 'Other Characteristics of Expression [Expression]', 'Other Characteristics of Expression [Expression]', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('510', 'a', 'Parallel Title', 'Parallel Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('510', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('511', 'a', 'Half Title', 'Half Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('511', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('512', 'a', 'Cover Title', 'Cover Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('512', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('512', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('512', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('512', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('512', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('512', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('513', 'a', 'Added Title - Page Title', 'Added Title - Page Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('513', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('513', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('513', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('514', 'a', 'Caption Title', 'Caption Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('514', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('514', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('514', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('514', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('514', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('514', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'a', 'Running Title', 'Running Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('515', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('515', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('516', 'a', 'Spine Title', 'Spine Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('516', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('516', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('516', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('516', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('516', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('516', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('517', 'a', 'Variant Title', 'Variant Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('517', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, 0, '', '', '', NULL),
		('517', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('517', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('517', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('517', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('517', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('518', 'a', 'Title Proper, Variant Title or Uniform Title in Standard Modern Spelling', 'Title Proper, Variant Title or Uniform Title in Standard Modern Spelling', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('518', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'a', 'Former Title Proper', 'Former Title Proper', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'h', 'Number of Part', 'Number of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'i', 'Name of Part', 'Name of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'j', 'Volumes or Dates of Former Title', 'Volumes or Dates of Former Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('520', 'x', 'ISSN of Former Title', 'ISSN of Former Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'a', 'Key Title', 'Key Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'b', 'Qualifier', 'Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'j', 'Volume or Dates Associated with Key Title', 'Volume or Dates Associated with Key Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('530', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'a', 'Abbreviated Title', 'Abbreviated Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'b', 'Qualifier', 'Qualifier', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('531', 'v', 'Volume Designation', 'Volume Designation', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('532', 'a', 'Expanded Title', 'Expanded Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('532', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('540', 'a', 'Additional Title', 'Additional Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('540', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('540', 'h', 'Number of Part', 'Number of Part', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('540', 'i', 'Name of Part', 'Name of Part', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('541', 'a', 'Translated Title', 'Translated Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'e', 'Other Title Information', 'Other Title Information', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'h', 'Number of a Part', 'Number of a Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'i', 'Name of Part', 'Name of Part', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('541', 'z', 'Language of Translated Title', 'Language of Translated Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('545', 'a', 'Section Title', 'Section Title', 0, 0, '', 5, '', '', '', 0, -5, '', '', '', NULL),
		('545', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('545', 'h', 'Number of Part', 'Number of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('545', 'i', 'Name of Part', 'Name of Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('545', 'j', 'Volume or Dates Associated with Title', 'Volume or Dates Associated with Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('545', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('545', 'z', 'Language of Title', 'Language of Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('560', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('560', 'a', 'Artificial Title', 'Artificial Title', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('560', 'e', 'Other Title Information', 'Other Title Information', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', '1', 'Linking Data', 'Linking Data', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', '3', 'Authority Entry Record Number', 'Authority Entry Record Number', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'a', 'Name', 'Name', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'c', 'Form of Work', 'Form of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'd', 'Date of Work', 'Date of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'e', 'Place of Origin of Work', 'Place of Origin of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'f', 'Original Language of the Work', 'Original Language of the Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'k', 'Other Distinguishing Characteristics of a Work', 'Other Distinguishing Characteristics of a Work', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 't', 'Title', 'Title', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('576', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', '1', 'Linking Data', 'Linking Data', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', '3', 'Authority Entry Record Number', 'Authority Entry Record Number', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'a', 'Name', 'Name', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'c', 'Form of Work', 'Form of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'd', 'Date of Work', 'Date of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'e', 'Place of Origin of Work', 'Place of Origin of Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'f', 'Original Language of the Work', 'Original Language of the Work', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'k', 'Other Distinguishing Characteristics of a Work', 'Other Distinguishing Characteristics of a Work', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'l', 'Form of the Expression [Expression]', 'Form of the Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'm', 'Language of the Expression [Expression]', 'Language of the Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'n', 'Content Type [Expression]', 'Content Type [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'o', 'Date of Expression [Expression]', 'Date of Expression [Expression]', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 't', 'Title', 'Title', 0, 1, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'v', 'Medium of Performance (for Music) [Expression]', 'Medium of Performance (for Music) [Expression]', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'w', 'Other Characteristics of Expression [Expression]', 'Other Characteristics of Expression [Expression]', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('577', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 5, '', '', '', 0, -6, '', '', '', NULL),
		('600', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('600', 'a', 'Entry Element', 'Entry Element', 0, 1, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'c', 'Additions to Name Other than Dates', 'Additions to Name Other than Dates', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'f', 'Dates', 'Dates', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('600', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('600', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('600', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('600', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('601', 'a', 'Entry Element', 'Entry Element', 0, 1, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'b', 'Subdivision (or Name if Entered under Place)', 'Subdivision (or Name if Entered under Place)', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'd', 'Number of Meeting and/or Number of Part of a Meeting', 'Number of Meeting and/or Number of Part of a Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('601', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('601', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('602', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'f', 'Dates', 'Dates', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('602', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('602', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('604', '1', 'Linking Data', 'Linking Data', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('604', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 'a', 'Entry Element Name', 'Entry Element Name', 0, 1, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 't', 'Title', 'Title', 0, 1, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('604', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'h', 'Number of Section or Part', 'Number of Section or Part', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', 'k', 'Date of Publication', 'Date of Publication', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'l', 'Form Subheading', 'Form Subheading', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'm', 'Language (when Part of Heading)', 'Language (when Part of Heading)', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'q', 'Version (or Date of Version)', 'Version (or Date of Version)', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'r', 'Medium of Performance (for Music)', 'Medium of Performance (for Music)', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', 's', 'Numeric Designation (for Music)', 'Numeric Designation (for Music)', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', 'u', 'Key (for Music)', 'Key (for Music)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', 'w', 'Arranged Statement (for Music)', 'Arranged Statement (for Music)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('605', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('605', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', '9', 'Koha Internal code', 'Koha Internal code', 0, 0, '', 6, '', '', '', 0, 1, '', '', '', NULL),
		('606', 'a', 'Entry Element', 'Entry Element', 0, 0, NULL, 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('606', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('606', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('607', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('607', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('608', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('608', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('610', '5', 'Institution and Copy to Which the Field Applies', 'Institution and Copy to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('610', 'a', 'Subject Term', 'Subject Term', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', '3', 'Authority Record Number', 'Authority Record Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'a', 'Subject Category Entry Element Text', 'Subject Category Entry Element Text', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'm', 'Subject Category Subdivision Code', 'Subject Category Subdivision Code', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'n', 'Subject Category Code', 'Subject Category Code', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('615', 'x', 'Subject Category Subdivision Text', 'Subject Category Subdivision Text', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('616', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'c', 'Qualification', 'Qualification', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'f', 'Dates', 'Dates', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'j', 'Form Subdivision', 'Form Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'x', 'Topical Subdivision', 'Topical Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'y', 'Geographical Subdivision', 'Geographical Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('616', 'z', 'Chronological Subdivision', 'Chronological Subdivision', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'a', 'Country (Nation State)', 'Country (Nation State)', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'c', 'Intermediate Political Jurisdiction', 'Intermediate Political Jurisdiction', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'd', 'City, etc.', 'City, etc.', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'e', 'Venue', 'Venue', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'f', 'Date', 'Date', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'g', 'Season', 'Season', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'h', 'Occasion', 'Occasion', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'i', 'Final Date', 'Final Date', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'k', 'Subsection of City, etc.', 'Subsection of City, etc.', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'm', 'Other Geographical Regions or Features', 'Other Geographical Regions or Features', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'n', 'Extraterrestrial Areas', 'Extraterrestrial Areas', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('617', 'o', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'a', 'Country (Nation State)', 'Country (Nation State)', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'b', 'State or Province etc.', 'State or Province etc.', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'c', 'Intermediate Political Jurisdiction', 'Intermediate Political Jurisdiction', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'd', 'City, etc.', 'City, etc.', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('620', 'e', 'Venue', 'Venue', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'f', 'Date', 'Date', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'g', 'Season', 'Season', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'h', 'Occasion', 'Occasion', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'i', 'Final Date', 'Final Date', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'k', 'Subsection of City, etc.', 'Subsection of City, etc.', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'm', 'Other Geographical Regions or Features', 'Other Geographical Regions or Features', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'n', 'Extraterrestrial Areas', 'Extraterrestrial Areas', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('620', 'o', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'a', 'Country (Nation State) or Larger Entity Country', 'Country (Nation State) or Larger Entity Country', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'b', 'State or Province, etc.', 'State or Province, etc.', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'c', 'Intermediate Political Jurisdiction', 'Intermediate Political Jurisdiction', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'd', 'City, etc.', 'City, etc.', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'e', 'Building, Vehicle, etc.', 'Building, Vehicle, etc.', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'f', 'Date 1', 'Date 1', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'g', 'Season', 'Season', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'h', 'Occasion', 'Occasion', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'i', 'Date 2', 'Date 2', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'k', 'Subsection of City, etc.', 'Subsection of City, etc.', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'm', 'Other Geographic Regions or Features', 'Other Geographic Regions or Features', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'n', 'Extraterrestrial Area', 'Extraterrestrial Area', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('621', 'o', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 'Geographical Areas Such as World, Hemisphere, Continent: Larger Area than Country', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('626', 'a', 'Make and Model of Machines', 'Make and Model of Machines', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('626', 'b', 'Programming Languages', 'Programming Languages', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('626', 'c', 'Operating System', 'Operating System', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('660', 'a', 'Code', 'Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('661', 'a', 'Time Period Code', 'Time Period Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'b', 'Subject Indicator Number', 'Subject Indicator Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'c', 'String', 'String', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'e', 'Reference Indicator Number', 'Reference Indicator Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('670', 'z', 'Language of Terms', 'Language of Terms', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', '3', 'Classification Record Number', 'Classification Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('675', 'a', 'Number', 'Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', 'v', 'Edition', 'Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('675', 'z', 'Language of Edition', 'Language of Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', '3', 'Classification Record Number', 'Classification Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('676', 'a', 'Number', 'Number', 0, 0, 'biblioitems.dewey', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', 'v', 'Edition', 'Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('676', 'z', 'Language of Edition', 'Language of Edition', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('680', '3', 'Classification Record Number', 'Classification Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('680', 'a', 'Class Number', 'Class Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('680', 'b', 'Book Number', 'Book Number', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', '2', 'System Code', 'System Code', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', '3', 'Classification Record Number', 'Classification Record Number', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('686', 'a', 'Class Number', 'Class Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'b', 'Book Number', 'Book Number', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'c', 'Classification Subdivision', 'Classification Subdivision', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('686', 'v', 'Edition', 'Edition', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('700', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 1, '', '', '', NULL),
		('700', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', 'PER', '', 0, 0, '', '', '', NULL),
		('700', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'c', 'Additions to Names Other than Dates', 'Additions to Names Other than Dates', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('700', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('700', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'c', 'Additions to Names Other than Dates', 'Additions to Names Other than Dates', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('701', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('702', '9', 'Koha Internal Code', 'Koha Internal Code', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'c', 'Additions to Names Other than Dates', 'Additions to Names Other than Dates', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('702', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('702', 'r', 'Part or Role Played', 'Part or Role Played', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'b', 'Part of Name Other than Entry Element', 'Part of Name Other than Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'c', 'Additions to Names Other than Dates', 'Additions to Names Other than Dates', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'd', 'Roman Numerals', 'Roman Numerals', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'g', 'Expansion of Initials of Forename', 'Expansion of Initials of Forename', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('703', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('710', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'd', 'Number of Meeting and/or Number of Part of Meeting', 'Number of Meeting and/or Number of Part of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('710', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('710', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'd', 'Number of Meeting and/or Number of Part of Meeting', 'Number of Meeting and/or Number of Part of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('711', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('712', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'd', 'Number of Meeting and/or Number of Part of Meeting', 'Number of Meeting and/or Number of Part of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('712', 'r', 'Part or Role Played', 'Part or Role Played', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'd', 'Number of Meeting and/or Number of Part of Meeting', 'Number of Meeting and/or Number of Part of Meeting', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'e', 'Location of Meeting', 'Location of Meeting', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'f', 'Date of Meeting', 'Date of Meeting', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'g', 'Inverted Element', 'Inverted Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'h', 'Part of Name Other than Entry Element and Inverted Element', 'Part of Name Other than Entry Element and Inverted Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('713', 'p', 'Affiliation/Address', 'Affiliation/Address', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('716', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('716', 'a', 'Data Element', 'Data Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('716', 'c', 'Qualifications', 'Qualifications', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('716', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('720', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', 'c', 'Type of Family', 'Type of Family', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('720', 'd', 'Places Associated with the Family', 'Places Associated with the Family', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('720', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('720', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('721', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('721', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('722', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', 'c', 'Type of Family', 'Type of Family', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('722', 'd', 'Places Associated with the Family', 'Places Associated with the Family', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('722', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, 0, '', '', '', NULL),
		('722', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('722', 'r', 'Part or Role Played', 'Part or Role Played', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', '5', 'Institution to Which the Field Applies', 'Institution to Which the Field Applies', 0, 1, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', 'c', 'Type of Family', 'Type of Family', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', 'd', 'Places Associated with the Family', 'Places Associated with the Family', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', 'f', 'Dates', 'Dates', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('723', 'o', 'International Standard Identifier for the Name', 'International Standard Identifier for the Name', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('730', '4', 'Relator Code', 'Relator Code', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('730', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'e', 'Name of the Other Party', 'Name of the Other Party', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'f', 'Date of Legal Issue or Version, or Date of Signing', 'Date of Legal Issue or Version, or Date of Signing', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'l', 'Form Subheading', 'Form Subheading', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('740', 't', 'Uniform Title', 'Uniform Title', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'e', 'Name of the Other Party', 'Name of the Other Party', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'f', 'Date of Legal Issue or Version, or Date of Signing', 'Date of Legal Issue or Version, or Date of Signing', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'l', 'Form Subheading', 'Form Subheading', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('741', 't', 'Uniform Title', 'Uniform Title', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', '3', 'Authority Record Number', 'Authority Record Number', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'a', 'Entry Element', 'Entry Element', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'b', 'Subdivision', 'Subdivision', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'c', 'Addition to Name or Qualifier', 'Addition to Name or Qualifier', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'e', 'Name of the Other Party', 'Name of the Other Party', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'f', 'Date of Legal Issue or Version, or Date of Signing', 'Date of Legal Issue or Version, or Date of Signing', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'i', 'Name of Section or Part', 'Name of Section or Part', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'l', 'Form Subheading', 'Form Subheading', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 'n', 'Miscellaneous Information', 'Miscellaneous Information', 1, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('742', 't', 'Uniform Title', 'Uniform Title', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('801', '2', 'System Code', 'System Code', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'a', 'Country', 'Country', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'b', 'Agency', 'Agency', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'c', 'Date of Transaction', 'Date of Transaction', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'g', 'Cataloguing Rules (Descriptive Conventions)', 'Cataloguing Rules (Descriptive Conventions)', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('801', 'h', 'Original Control Number', 'Original Control Number', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('802', 'a', 'ISSN Centre Code', 'ISSN Centre Code', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('830', 'a', 'Text of Note', 'Text of Note', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('850', 'a', 'Code of Institution', 'Code of Institution', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', '2', 'System Code', 'System Code', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'a', 'Institution Identifier', 'Institution Identifier', 0, 1, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'b', 'Sub-Location Identifier', 'Sub-Location Identifier', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'c', 'Address', 'Address', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'd', 'Coded Location Qualifier (2 or 3 Characters)', 'Coded Location Qualifier (2 or 3 Characters)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'e', 'Non-Coded Location Qualifier', 'Non-Coded Location Qualifier', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'g', 'Call Number Prefix', 'Call Number Prefix', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'j', 'Call Number', 'Call Number', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'k', 'Shelving Form of Title, Author, Author/Title', 'Shelving Form of Title, Author, Author/Title', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'l', 'Call Number Suffix', 'Call Number Suffix', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'm', 'Item Identifier', 'Item Identifier', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'n', 'Copy Identifier', 'Copy Identifier', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'p', 'Country', 'Country', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 't', 'Copy Number', 'Copy Number', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'x', 'Non-Public Note.', 'Non-Public Note.', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('852', 'y', 'Public Note', 'Public Note', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', '2', 'Link Text', 'Link Text', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', 'a', 'Host Name', 'Host Name', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'b', 'Access Number', 'Access Number', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'c', 'Compression Information', 'Compression Information', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'd', 'Path', 'Path', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'e', 'Date and Hour of Consultation and Access', 'Date and Hour of Consultation and Access', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'f', 'Electronic Name', 'Electronic Name', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'h', 'Processor of Request', 'Processor of Request', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'i', 'Instruction', 'Instruction', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'j', 'Bits per Second', 'Bits per Second', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'l', 'Logon/login', 'Logon/login', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'm', 'Contact for Access Assistance', 'Contact for Access Assistance', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'n', 'Name of Location of Host in Subfield $A', 'Name of Location of Host in Subfield $A', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'o', 'Operating System', 'Operating System', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'p', 'Port', 'Port', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'q', 'Electronic Format Type', 'Electronic Format Type', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'r', 'Settings', 'Settings', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 's', 'File Size', 'File Size', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 't', 'Terminal Emulation', 'Terminal Emulation', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'u', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 0, 0, 'biblioitems.url', 8, '', '', '', 1, 0, '', '', '', NULL),
		('856', 'v', 'Hours Access Method Available', 'Hours Access Method Available', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'w', 'Record Control Number', 'Record Control Number', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'x', 'Nonpublic Note', 'Nonpublic Note', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'y', 'Access Method', 'Access Method', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('856', 'z', 'Public Note', 'Public Note', 1, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('886', '2', 'System Code', 'System Code', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('886', 'a', 'Tag of the Source Format Field', 'Tag of the Source Format Field', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('886', 'b', 'Indicators and Subfields of the Source Format Field', 'Indicators and Subfields of the Source Format Field', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL);

UPDATE `marc_subfield_structure` SET maxlength=24 WHERE tagfield='000';
UPDATE `marc_subfield_structure` SET maxlength=36 WHERE tagfield='100';
