--
-- Fichiers d'autorités pour UNIMARC en français
-- Authorities tables for UNIMARC in french
-- Copyright Paul POULAIN, BibLibre SARL

-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 2 of the License, or (at your option) any later
-- version.
--
-- Koha is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- Koha; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-- Suite 330, Boston, MA  02111-1307 USA
--

-- 
-- Contenu de la table `auth_types`
-- 

set NAMES 'utf8';

INSERT IGNORE INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES
  ('','Défaut','',''),
  ('CO','Auteur (collectif/collectivité)','210','[210a ][ (210c)][. 210b][ -- 210d][ ; 210e][ ; 210f]'),
  ('CO_UNI_TI','Vedette Rubrique de classement','235','[235a][ , 235b][ , 235e][ . 235k][ ; 235m][ . 235r][ . 235s][ . 235u][ . 235w][ . 235j][ -- 235x][ -- 235y][ -- 235z]'),
  ('FAM','Famille','220','[220a][  (220f)][ -- 220j][ -- 220x][ -- 220y][ -- 220z]'),
  ('GENRE/FORM','Vedette genre forme ou caractéristiques physiques','280','[280a][ . 280j][ -- 280x][ -- 280y][ -- 280z]'),
  ('NAME_COL','Vedette Auteur Rubrique de classement','245','[245a][ . 245t][ . 245j][ -- 245x][ -- 245y][ -- 245z]'),
  ('NP','Auteur','200','[200a][, 200b][ 200d][ ; 200c][ (200f)]'),
  ('PA','Vedette lieu édition','260','[260a][ . 260b][ . 260c][ . 260d]'),
  ('SAUTTIT','Auteur titre','240','[240a][, 240b][ 240d][ ; 240c][ (240f)][. 240t]\r\n'),
  ('SNC','Sujet (nom commun)','250','[250a][ -- 250x][ -- 250y][ -- 250z] [(250b)]'),
  ('SNG','Sujet (nom géographique)','215','[215a][ -- 215x][ -- 215y][ -- 215z]'),
  ('TM','Marque','216','[216a][  (216f)][ ; 216c][ -- 216j][ -- 216x][ -- 216y][ -- 216z]'),
  ('TU','Titre Uniforme','230','[230a][. 230i][. 230h][. 230m][. 230q][. 230k][ -- 230x][ -- 230y][ -- 230z][ -- 230l]');

-- 
-- Contenu de la table `auth_tag_structure`
-- 

INSERT IGNORE INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES
  ('', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('', '015', '(ISADN)', '', 0, 0, NULL),
  ('', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('', '152', 'Règles', '', 0, 0, NULL),
  ('', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('', '200', 'Vedette', '', 1, 0, NULL),
  ('', '210', 'Vedette', '', 1, 0, ''),
  ('', '215', 'Vedette', '', 1, 0, ''),
  ('', '216', 'Marque', '', 0, 0, ''),
  ('', '220', 'Nom famile', '', 0, 0, ''),
  ('', '230', 'Vedette', '', 1, 0, NULL),
  ('', '235', 'Vedette Rubrique de classement', '', 0, 0, ''),
  ('', '240', 'Vedette', '', 1, 0, NULL),
  ('', '245', 'Vedette Auteur Rubrique de classement', '', 0, 0, ''),
  ('', '250', 'Vedette-Matière nom commun', '', 1, 0, ''),
  ('', '260', 'Vedette Lieu d''édition', '', 0, 0, ''),
  ('', '280', 'Vedette – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '300', 'Note d''information', '', 1, 0, NULL),
  ('', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('', '356', 'Note géographique', '', 0, 1, NULL),
  ('', '400', 'Forme rejetée', '', 1, 0, ''),
  ('', '410', 'Forme rejetée', '', 1, 0, ''),
  ('', '415', 'Forme rejetée', '', 1, 0, ''),
  ('', '416', 'Forme rejetée - Marque', '', 0, 0, ''),
  ('', '420', 'Forme rejetée -Famille', '', 0, 0, ''),
  ('', '430', 'Forme rejetée - Titre uniforme', '', 1, 0, ''),
  ('', '445', 'Forme rejetée – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '450', 'Forme rejetée - Sujet', '', 1, 0, ''),
  ('', '460', 'Forme rejetée – Lieu d’édition', '', 0, 0, ''),
  ('', '480', 'Forme rejetée – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '500', 'Forme associée - auteur/sujet', '', 1, 0, ''),
  ('', '510', 'Forme associée - collectivité', '', 1, 0, ''),
  ('', '515', 'Forme associée - nom géographique', '', 1, 0, ''),
  ('', '516', 'Forme associée -Marque', '', 0, 0, ''),
  ('', '520', 'Forme associée - Famille', '', 0, 0, ''),
  ('', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('', '540', 'Forme associée Auteur/titre', '', 1, 0, ''),
  ('', '545', 'Forme associée – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '550', 'Forme associée - Sujet', '', 1, 0, ''),
  ('', '560', 'Forme associée – Lieu d’édition', '', 0, 0, ''),
  ('', '580', 'Forme associée – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('', '686', 'Autres classifications', '', 1, 0, NULL),
  ('', '700', 'Forme parallèle – Nom de personne', '', 0, 0, ''),
  ('', '710', 'Forme parallèle', '', 1, 0, ''),
  ('', '715', 'Forme parallèle – Nom de territoire ou nom géographique', '', 0, 0, ''),
  ('', '716', 'Forme parallèle – Marque', '', 0, 0, ''),
  ('', '720', 'Forme parallèle – Famille', '', 0, 0, ''),
  ('', '730', 'Forme parallèle – Titre uniforme', '', 0, 0, ''),
  ('', '740', 'Forme parallèle – Auteur / Titre', '', 0, 0, ''),
  ('', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '750', 'Forme parallèle – Matière nom commun', '', 0, 0, ''),
  ('', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, ''),
  ('', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '801', 'Origine de la notice', '', 1, 1, ''),
  ('', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('CO', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('CO', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('CO', '015', '(ISADN)', '', 0, 0, NULL),
  ('CO', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('CO', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('CO', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('CO', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('CO', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('CO', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('CO', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('CO', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('CO', '152', 'Règles', '', 0, 0, NULL),
  ('CO', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('CO', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('CO', '210', 'Vedette', '', 1, 0, ''),
  ('CO', '300', 'Note d''information', '', 1, 0, NULL),
  ('CO', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('CO', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('CO', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('CO', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('CO', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('CO', '356', 'Note géographique', '', 0, 0, ''),
  ('CO', '410', 'Forme rejetée', '', 1, 0, NULL),
  ('CO', '510', 'Forme associée', '', 1, 0, NULL),
  ('CO', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('CO', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('CO', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('CO', '686', 'Autres classifications', '', 1, 0, NULL),
  ('CO', '710', 'Forme parallèle', '', 1, 0, ''),
  ('CO', '801', 'Origine de la notice', '', 1, 1, ''),
  ('CO', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('CO', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('CO', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('CO', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('CO', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('CO', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('CO', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('CO', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('CO', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('CO_UNI_TI', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('CO_UNI_TI', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('CO_UNI_TI', '015', '(ISADN)', '', 0, 0, NULL),
  ('CO_UNI_TI', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('CO_UNI_TI', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('CO_UNI_TI', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('CO_UNI_TI', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('CO_UNI_TI', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('CO_UNI_TI', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('CO_UNI_TI', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('CO_UNI_TI', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('CO_UNI_TI', '152', 'Règles', '', 0, 0, NULL),
  ('CO_UNI_TI', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('CO_UNI_TI', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('CO_UNI_TI', '235', 'Vedette rubrique de classement', '', 0, 1, ''),
  ('CO_UNI_TI', '300', 'Note d''information', '', 1, 0, NULL),
  ('CO_UNI_TI', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('CO_UNI_TI', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('CO_UNI_TI', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('CO_UNI_TI', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('CO_UNI_TI', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('CO_UNI_TI', '356', 'Note géographique', '', 0, 0, ''),
  ('CO_UNI_TI', '435', 'Forme rejetée', '', 1, 0, NULL),
  ('CO_UNI_TI', '535', 'Forme associée', '', 1, 0, NULL),
  ('CO_UNI_TI', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('CO_UNI_TI', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('CO_UNI_TI', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('CO_UNI_TI', '686', 'Autres classifications', '', 1, 0, NULL),
  ('CO_UNI_TI', '730', 'Forme parallèle', '', 1, 0, ''),
  ('CO_UNI_TI', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('CO_UNI_TI', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('CO_UNI_TI', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('CO_UNI_TI', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('CO_UNI_TI', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('CO_UNI_TI', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('CO_UNI_TI', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('CO_UNI_TI', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('CO_UNI_TI', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('CO_UNI_TI', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('FAM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('FAM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('FAM', '015', '(ISADN)', '', 0, 0, NULL),
  ('FAM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('FAM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('FAM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('FAM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('FAM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('FAM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('FAM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('FAM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('FAM', '152', 'Règles', '', 0, 0, NULL),
  ('FAM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('FAM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('FAM', '220', 'Famille', '', 0, 1, ''),
  ('FAM', '300', 'Note d''information', '', 1, 0, NULL),
  ('FAM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('FAM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('FAM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('FAM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('FAM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('FAM', '356', 'Note géographique', '', 0, 0, ''),
  ('FAM', '420', 'Forme rejetée', '', 1, 0, ''),
  ('FAM', '520', 'Forme associée', '', 1, 0, NULL),
  ('FAM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('FAM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('FAM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('FAM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('FAM', '720', 'Forme parallèle – Famille', '', 0, 0, ''),
  ('FAM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('FAM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('FAM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('FAM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('FAM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('FAM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('FAM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('FAM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('FAM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('FAM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('FAM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('GENRE/FORM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('GENRE/FORM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('GENRE/FORM', '015', '(ISADN)', '', 0, 0, NULL),
  ('GENRE/FORM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('GENRE/FORM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('GENRE/FORM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('GENRE/FORM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('GENRE/FORM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('GENRE/FORM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('GENRE/FORM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('GENRE/FORM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('GENRE/FORM', '152', 'Règles', '', 0, 0, NULL),
  ('GENRE/FORM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('GENRE/FORM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('GENRE/FORM', '280', 'Vedette genre forme ou caractéristiques physiques', '', 0, 1, ''),
  ('GENRE/FORM', '300', 'Note d''information', '', 1, 0, NULL),
  ('GENRE/FORM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('GENRE/FORM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('GENRE/FORM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('GENRE/FORM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('GENRE/FORM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('GENRE/FORM', '356', 'Note géographique', '', 0, 0, ''),
  ('GENRE/FORM', '480', 'Forme rejetée', '', 1, 0, ''),
  ('GENRE/FORM', '580', 'Forme associée', '', 1, 0, NULL),
  ('GENRE/FORM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('GENRE/FORM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('GENRE/FORM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('GENRE/FORM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('GENRE/FORM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('GENRE/FORM', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('GENRE/FORM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('GENRE/FORM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('GENRE/FORM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('GENRE/FORM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('GENRE/FORM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('GENRE/FORM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('GENRE/FORM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('GENRE/FORM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('GENRE/FORM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('GENRE/FORM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NAME_COL', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('NAME_COL', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('NAME_COL', '015', '(ISADN)', '', 0, 0, NULL),
  ('NAME_COL', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('NAME_COL', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NAME_COL', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NAME_COL', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('NAME_COL', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('NAME_COL', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('NAME_COL', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('NAME_COL', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('NAME_COL', '152', 'Règles', '', 0, 0, NULL),
  ('NAME_COL', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NAME_COL', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NAME_COL', '245', 'Vedette Auteur Rubrique de classement', '', 0, 1, ''),
  ('NAME_COL', '300', 'Note d''information', '', 1, 0, NULL),
  ('NAME_COL', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('NAME_COL', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('NAME_COL', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NAME_COL', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NAME_COL', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NAME_COL', '356', 'Note géographique', '', 0, 0, ''),
  ('NAME_COL', '445', 'Forme rejetée', '', 1, 0, ''),
  ('NAME_COL', '545', 'Forme associée', '', 1, 0, NULL),
  ('NAME_COL', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NAME_COL', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NAME_COL', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NAME_COL', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NAME_COL', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('NAME_COL', '750', 'Forme parallèle', '', 1, 0, ''),
  ('NAME_COL', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('NAME_COL', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NAME_COL', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NAME_COL', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NAME_COL', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NAME_COL', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NAME_COL', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NAME_COL', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NAME_COL', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NAME_COL', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NP', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('NP', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('NP', '015', '(ISADN)', '', 0, 0, NULL),
  ('NP', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('NP', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NP', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NP', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('NP', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('NP', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('NP', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('NP', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('NP', '152', 'Règles', '', 0, 0, NULL),
  ('NP', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NP', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NP', '200', 'Vedette', '', 1, 0, NULL),
  ('NP', '300', 'Note d''information', '', 1, 0, NULL),
  ('NP', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('NP', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('NP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NP', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NP', '356', 'Note géographique', '', 0, 1, NULL),
  ('NP', '400', 'Forme rejetée', '', 1, 0, ''),
  ('NP', '500', 'Forme associée', '', 1, 0, ''),
  ('NP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NP', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NP', '700', 'Forme parallèle', '', 1, 0, ''),
  ('NP', '801', 'Origine de la notice', '', 1, 1, ''),
  ('NP', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NP', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NP', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NP', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NP', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('PA', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('PA', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('PA', '015', '(ISADN)', '', 0, 0, NULL),
  ('PA', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('PA', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('PA', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('PA', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('PA', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('PA', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('PA', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('PA', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('PA', '152', 'Règles', '', 0, 0, NULL),
  ('PA', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('PA', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('PA', '260', 'Vedette Lieu d''édition', '', 0, 1, ''),
  ('PA', '300', 'Note d''information', '', 1, 0, NULL),
  ('PA', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('PA', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('PA', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('PA', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('PA', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('PA', '356', 'Note géographique', '', 0, 0, ''),
  ('PA', '460', 'Forme rejetée', '', 1, 0, ''),
  ('PA', '560', 'Forme associée', '', 1, 0, NULL),
  ('PA', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('PA', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('PA', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('PA', '686', 'Autres classifications', '', 1, 0, NULL),
  ('PA', '750', 'Forme parallèle', '', 1, 0, ''),
  ('PA', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, ''),
  ('PA', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('PA', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('PA', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('PA', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('PA', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('PA', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('PA', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('PA', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('PA', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('PA', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SAUTTIT', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SAUTTIT', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SAUTTIT', '015', '(ISADN)', '', 0, 0, NULL),
  ('SAUTTIT', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SAUTTIT', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SAUTTIT', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SAUTTIT', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('SAUTTIT', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SAUTTIT', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SAUTTIT', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SAUTTIT', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SAUTTIT', '152', 'Règles', '', 0, 0, NULL),
  ('SAUTTIT', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SAUTTIT', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SAUTTIT', '240', 'Vedette', '', 1, 0, NULL),
  ('SAUTTIT', '300', 'Note d''information', '', 1, 0, NULL),
  ('SAUTTIT', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SAUTTIT', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SAUTTIT', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SAUTTIT', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SAUTTIT', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SAUTTIT', '356', 'Note géographique', '', 0, 0, ''),
  ('SAUTTIT', '440', 'Forme rejetée', '', 1, 0, ''),
  ('SAUTTIT', '540', 'Forme associée', '', 1, 0, NULL),
  ('SAUTTIT', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SAUTTIT', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SAUTTIT', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SAUTTIT', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SAUTTIT', '740', 'Forme parallèle', '', 1, 0, NULL),
  ('SAUTTIT', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SAUTTIT', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SAUTTIT', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SAUTTIT', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SAUTTIT', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SAUTTIT', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SAUTTIT', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SAUTTIT', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SAUTTIT', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SAUTTIT', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SNC', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SNC', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SNC', '015', '(ISADN)', '', 0, 0, NULL),
  ('SNC', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SNC', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SNC', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SNC', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('SNC', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SNC', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SNC', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SNC', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SNC', '152', 'Règles', '', 0, 0, NULL),
  ('SNC', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SNC', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SNC', '250', 'Vedette-Matière nom commun', '', 1, 0, ''),
  ('SNC', '300', 'Note d''information', '', 1, 0, NULL),
  ('SNC', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SNC', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SNC', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SNC', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SNC', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SNC', '356', 'Note géographique', '', 0, 1, NULL),
  ('SNC', '450', 'Forme rejetée', '', 1, 0, ''),
  ('SNC', '550', 'Forme associée', '', 1, 0, NULL),
  ('SNC', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SNC', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SNC', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SNC', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SNC', '750', 'Forme parallèle', '', 1, 0, ''),
  ('SNC', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SNC', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SNC', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SNC', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SNC', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SNC', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SNC', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SNC', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SNC', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SNC', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SNG', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SNG', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SNG', '015', '(ISADN)', '', 0, 0, NULL),
  ('SNG', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SNG', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SNG', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SNG', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('SNG', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SNG', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SNG', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SNG', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SNG', '152', 'Règles', '', 0, 0, NULL),
  ('SNG', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SNG', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SNG', '215', 'Vedette', '', 1, 0, ''),
  ('SNG', '300', 'Note d''information', '', 1, 0, NULL),
  ('SNG', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SNG', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SNG', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SNG', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SNG', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SNG', '356', 'Note géographique', '', 0, 0, ''),
  ('SNG', '415', 'Forme rejetée', '', 1, 0, ''),
  ('SNG', '515', 'Forme associée', '', 1, 0, NULL),
  ('SNG', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SNG', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SNG', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SNG', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SNG', '715', 'Forme parallèle', '', 1, 0, ''),
  ('SNG', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SNG', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SNG', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SNG', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SNG', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SNG', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SNG', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SNG', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SNG', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SNG', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('TM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('TM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('TM', '015', '(ISADN)', '', 0, 0, NULL),
  ('TM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('TM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('TM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('TM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('TM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('TM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('TM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('TM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('TM', '152', 'Règles', '', 0, 0, NULL),
  ('TM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('TM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('TM', '216', 'Vedette Auteur Rubrique de classement', '', 0, 1, ''),
  ('TM', '300', 'Note d''information', '', 1, 0, NULL),
  ('TM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('TM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('TM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('TM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('TM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('TM', '356', 'Note géographique', '', 0, 0, ''),
  ('TM', '416', 'Forme rejetée', '', 1, 0, ''),
  ('TM', '516', 'Forme associée', '', 1, 0, NULL),
  ('TM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('TM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('TM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('TM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('TM', '716', 'Forme parallèle – Marque', '', 0, 0, ''),
  ('TM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('TM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('TM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('TM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('TM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('TM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('TM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('TM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('TM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('TM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('TM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('TU', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('TU', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('TU', '015', '(ISADN)', '', 0, 0, NULL),
  ('TU', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('TU', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('TU', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('TU', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('TU', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('TU', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('TU', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('TU', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('TU', '152', 'Règles', '', 0, 0, NULL),
  ('TU', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('TU', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('TU', '230', 'Vedette', '', 1, 0, NULL),
  ('TU', '300', 'Note d''information', '', 1, 0, NULL),
  ('TU', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('TU', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('TU', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('TU', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('TU', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('TU', '356', 'Note géographique', '', 0, 0, ''),
  ('TU', '430', 'Forme rejetée', '', 1, 0, NULL),
  ('TU', '530', 'Forme associée', '', 1, 0, NULL),
  ('TU', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('TU', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('TU', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('TU', '686', 'Autres classifications', '', 1, 0, NULL),
  ('TU', '730', 'Forme parallèle', '', 1, 0, ''),
  ('TU', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('TU', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('TU', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('TU', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('TU', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('TU', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('TU', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('TU', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('TU', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('TU', '886', 'Données non converties du format source', '', 1, 0, NULL);

-- 
-- Contenu de la table `auth_subfield_structure`
-- 

INSERT IGNORE INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES
  ('', '001', '@', 'tag 001', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '015', '@', 'tag 015', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '100', 'a', 'Données générale de traitement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '106', 'a', 'Code d''un caractère', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '120', 'a', 'Données codées : nom de personne', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '152', 'b', 'système d''indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '160', 'a', 'Code de l''aire géographique', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '200', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '216', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '216', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 's', 'Références numériques (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'b', 'Statut', '', 0, 0, 0, 'CAND', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '300', 'a', 'Note d''information', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', 'a', 'Formule introductive', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', 'a', 'Note sur le champ d''application', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '400', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '2', 'code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '430', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '2', 'code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '445', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '450', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '480', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '516', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '2', 'Code du système d''indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'j', 'Subdivision de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '545', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '560', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'z', 'Langue de l''édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'z', 'Langue de l''édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'b', 'Indice , fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '700', 'b', 'Partie du nom autre que l’élément d’entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'c', 'Qualificatifs autres que les dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '710', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '3', 'Identificateur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '715', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '715', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '716', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '730', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'q', 'Version (ou date d’une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'w', 'Mention d’arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '740', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '745', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '750', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '815', 'a', 'Citation', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '820', 'a', 'Texte de la note', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '825', 'a', 'Texte de la note', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'b', 'Vedette de remplacement', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'd', 'Date de la transaction', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'b', 'Numéro d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'd', 'Chemin d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'j', 'Bits par seconde', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'o', 'système d''exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'v', 'Heures d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'x', 'Note confidentielle', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'y', 'Mode d''accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('AUTTIT', '005', '@', 'Date de création', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '240', '1', 'Zone imbriquée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '240', '7', 'Ecriture de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', '8', 'Langue de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '356', 'a', 'Note géo', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '540', '3', 'N autorité bnf', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', '5', 'Type de lien', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '540', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'AUTTIT', ''),
  ('AUTTIT', '540', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('AUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('AUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('CO', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '210', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '210', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('CO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('CO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('CO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL),
  ('CO_UNI_TI', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '235', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '235', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'a', 'Rubrique de classement', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '435', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '435', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'k', 'date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '535', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO_UNI_TI', ''),
  ('CO_UNI_TI', '535', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL),
  ('CO_UNI_TI', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '520', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '520', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FA', ''),
  ('FA', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('FA', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('FA', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('FA', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '220', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '220', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '520', '9', 'Numéro autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('FAM', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '280', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '480', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '580', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'GENRE/FORM', ''),
  ('GENRE/FORM', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '445', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '545', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NAME_COL', ''),
  ('NAME_COL', '545', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', '3', 'Identificateur de la notice d’autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '745', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '200', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 5, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('NP', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('NP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('NP', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '260', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '260', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '560', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PA', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUT', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'b', 'Partie du nom autre que l''élément d''entré', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '4', 'Code de fonction', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '0', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, -1, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'z', 'Subdiv. chronologique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '3', 'Identificateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'z', 'Subdivision', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'z', 'Subdivision', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'j', 'subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'b', 'Statut', '', 0, 0, -1, 'CAND', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '550', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '550', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('SNC', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('SNC', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('SNC', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('SNC', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '215', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '215', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '515', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '515', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('SNG', '515', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('SNG', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('SNG', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('SNG', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'w', 'Mention d''arrangement', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'n', 'Autre informations', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '216', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '216', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '516', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('TM', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '716', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'y', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TU', ''),
  ('TU', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('TU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('TU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('TU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
